Author Message

AndoSky

Aeria: Product Manager
AndoSky
Joined
05 Sep 2007
Posts
6117
Location
United States
PostedDec 02, 2009 1:26 am   Last edited by AndoSky on Dec 03, 2009 10:12 pm. Edited 9 times in total

Can't patch? Look here for help

Launcher Troubleshooting
UPDATE:
A new installer has been hosted on the download page.
http://grandfantasia.aeriagames.com/download

Select the main download option (the mirrors will be updated later).


----------------------------------------------

Since a few of you are still having some trouble with patching. Our team is making some improvements to the patching system, but in the mean time here are some steps to try and resolve the issue:


BASICS

1. Restart your computer if you haven't done so already

2. Clear your internet explorer browser cache

3. Make sure you don't have a firewall that may be blocking the patching

4. Temporarily disable your anti-virus

5. If you are running Windows Vista, run the launcher in admin

6. If you are running Windows 7, try running the launcher in compatibility

7. If you haven't already, try reinstalling the game


ADVANCED

1. Try using the manual patch
http://forums.aeriagames.com/viewtopic.php?t=629687

2. If the manual patch isn't working for you by installing it through the launcher, it may be possible to extract the files into your game folder directly

3. Try editing your LuncherMod.ini file to see if this helps with patching:
OPT_TIMEOUT = 60 => OPT_TIMEOUT = 1200

4. If you are able to get one of the above steps to work, but then you get a new error when you try to play the game, try performing a "Full Scan" from the launcher to verify your client files are correct.


LAST RESORT

1. Some players have mentioned renaming the connect.ini to connects.ini then running the client directly (bypassing the launcher) has worked for them. However this method is not recommended.

OTHER HELPFUL LINKS
[Guide] Launcher Patch Failures
HTTP Cannot Connect & Server Connection Issues?

Please only post in this thread if you are having trouble with patching


--------------------------------

Some players also received help from this thread:
http://forums.aeriagames.com/viewtopic.php?t=630953

/ Mod Edit /

Advertisement

bellamorte

Rank 0
bellamorte
Joined
15 Nov 2007
Posts
78
Location
Tacoma United States
PostedDec 02, 2009 1:38 am   Last edited by bellamorte on Dec 02, 2009 1:40 am. Edited 1 time in total
Edit, if you use Advanced 3
(3. Some players have mentioned renaming the connect.ini to connects.ini)

You will have to start the game Client from the GF folder in the C drive, not from the Launcher.

AndoSky

Aeria: Product Manager
AndoSky
Joined
05 Sep 2007
Posts
6117
Location
United States
PostedDec 02, 2009 1:40 am
bellamorte wrote:
Edit, if you use Advanced 3 (
3. Some players have mentioned renaming the connect.ini to connects.ini) then you will have to start the game Client from the GF folder in the C drive, not from the Launcher.  

Ah, sounds like bypassing the launcher, which probably won't be ideal. I'll make that a last resort step

bellamorte

Rank 0
bellamorte
Joined
15 Nov 2007
Posts
78
Location
Tacoma United States
PostedDec 02, 2009 1:44 am
I think the best Option at this time is taking the patched CB and making it a new download for OB so people who have the problems patching it can just get the new game as OB.

I zipped my whole game and was putting it up so people could just take and extract it to there c drive but it is a bit big...

That should make most of the problems go away with the missing files and connect errors. The patch was nice though for the ones who had CB since we could upgrade.

aicatt

Rank 0
Joined
30 Jun 2008
Posts
7
Location
manila Philippines
PostedDec 02, 2009 1:45 am
ando.. can you ppls edit this.. ill just copy paste it in the launcher.. i just cant seem to get what your saying LOL..

#--------------------------
#Set 0 Only Ftp
#Set 1 Only Http
#Set 2 Ftp with Http (Default FTP)
#Set 3 Http with Ftp (Default HTTP)
#--------------------------
Connect_Mode = 3

#Specifically switch on or off the FTP engine's use of the EPSV command. By
#default, that one will always be attempted before the more traditional
#PASV command
#OPT_FTP_USE_EPSV (default number 1
OPT_FTP_USE_EPSV = 1

#Instruct libcurl to not use any signal/alarm handlers, even when using
#timeouts. This option is useful for multi-threaded applications.
#See libcurl-the-guide for more background information
#OPT_NOSIGNAL (default number 1
OPT_NOSIGNAL = 1

#set 1 to throw the header
#OPT_HEADER (default number 0
OPT_HEADER = 0

#Time-out connect operations after this amount of seconds, if connects
#are OK within this time, then fine... This only aborts the connect
#phase. [Only works on unix-style/SIGALRM operating systems]
#OPT_CONNECTTIMEOUT (default number 5
OPT_CONNECTTIMEOUT = 5

#Time-out the read operation after this amount of seconds
#OPT_TIMEOUT (default number 0
OPT_TIMEOUT = 60

#Set to explicitly forbid the upcoming transfer's connection to be re-used
#when done. Do not use this unless you're absolutely sure of this, as it
#makes the operation slower and is less friendly for the network.
#OPT_FORBID_REUSE (default number 0
OPT_FORBID_REUSE = 0

#Comma separated list of hostnames defining no-proxy zones. These should
#match both hostnames directly, and hostnames within a domain. For
#example, local.com will match local.com and www.local.com, but NOT
#notlocal.com or www.notlocal.com. For compatibility with other
#implementations of this, .local.com will be considered to be the same as
#local.com. A single * is the only valid wildcard, and effectively
#disables the use of proxy.
#OPT_NOPROXY (default String *
OPT_NOPROXY = *

AndoSky

Aeria: Product Manager
AndoSky
Joined
05 Sep 2007
Posts
6117
Location
United States
PostedDec 02, 2009 2:12 am
bellamorte wrote:
I think the best Option at this time is taking the patched CB and making it a new download for OB so people who have the problems patching it can just get the new game as OB.

I zipped my whole game and was putting it up so people could just take and extract it to there c drive but it is a bit big...

That should make most of the problems go away with the missing files and connect errors. The patch was nice though for the ones who had CB since we could upgrade.  
We can probably build a new installer that contains all of the patches, but not sure how long that will take us.


aicatt wrote:
ando.. can you ppls edit this.. ill just copy paste it in the launcher.. i just cant seem to get what your saying LOL..  
sure

#Time-out the read operation after this amount of seconds
#OPT_TIMEOUT (default number 0
OPT_TIMEOUT = 120

pandamuetz

Rank 0
Joined
29 Nov 2009
Posts
9
Location
Indonesia
PostedDec 02, 2009 2:23 am
hmm, just an idea

how about putting a complete offline/manual patch, so it will bypass the most troublesome "c_dialogue.ini"

^_^

bellamorte

Rank 0
bellamorte
Joined
15 Nov 2007
Posts
78
Location
Tacoma United States
PostedDec 02, 2009 2:35 am
Well that I guess is planned and in the works at the moment, that will stop all the connect and c_dialogue.ini problems.

As for the Connects we are now getting the http://forums.aeriagames.com/viewtopic.php?t=629695 problem.

WINRAR ONLY


1. Download the manual patch at http://forums.aeriagames.com/viewtopic.php?t=629687
2. Click the first folder so you see everything in 20091202115828 to open it
3. Click extract to C:\AeriaGames\GrandFantasia

That should help with manually patching the game

Also http://forums.aeriagames.com/viewtopic.php?t=629871 Works too

killerchan1

Rank 0
killerchan1
Joined
24 Aug 2009
Posts
5
Location
Australia
PostedDec 02, 2009 3:06 am
how do i get rid of that blasted "downloading c_dialogue.ini"

it errors on thatall the time ive already put the manual patch on and ive edited the lunchermod

im gonna try extracting to my game folder directly

bellamorte

Rank 0
bellamorte
Joined
15 Nov 2007
Posts
78
Location
Tacoma United States
PostedDec 02, 2009 3:11 am
killerchan1 wrote:
how do i get rid of that blasted "downloading c_dialogue.ini"

it errors on thatall the time ive already put the manual patch on and ive edited the lunchermod

im gonna try extracting to my game folder directly  


This sounds like you have the old patch that did not have the c_dialogue in it. I would try getting the patch again and trying to install it manually with my steps. If that fails... well I would try to change the number in the launcher higher then 60 like others have to see if it works.
Display posts from previous:   Sort by: